# Uses of Class
org.apache.sysds.runtime.matrix.operators.TernaryOperator

Packages that use TernaryOperator
Package
Description
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.compress.lib
org.apache.sysds.runtime.instructions
org.apache.sysds.runtime.matrix.data

## Uses of TernaryOperator in org.apache.sysds.runtime.compress

Methods in org.apache.sysds.runtime.compress with parameters of type TernaryOperator
Modifier and Type
Method
Description
`MatrixBlock`
CompressedMatrixBlock.`ternaryOperations(TernaryOperator op, MatrixBlock m2, MatrixBlock m3, MatrixBlock ret)`

## Uses of TernaryOperator in org.apache.sysds.runtime.compress.lib

Methods in org.apache.sysds.runtime.compress.lib with parameters of type TernaryOperator
Modifier and Type
Method
Description
`static MatrixBlock`
CLALibTernaryOp.`ternaryOperations(TernaryOperator op, MatrixBlock m1, MatrixBlock m2, MatrixBlock m3)`

## Uses of TernaryOperator in org.apache.sysds.runtime.instructions

Methods in org.apache.sysds.runtime.instructions that return TernaryOperator
Modifier and Type
Method
Description
`static TernaryOperator`
InstructionUtils.`parseTernaryOperator(String opcode)`
`static TernaryOperator`
InstructionUtils.`parseTernaryOperator(String opcode, int numThreads)`

## Uses of TernaryOperator in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data with parameters of type TernaryOperator
Modifier and Type
Method
Description
`static void`
LibMatrixTercell.`tercellOp(MatrixBlock m1, MatrixBlock m2, MatrixBlock m3, MatrixBlock ret, TernaryOperator op)`
`final MatrixBlock`
MatrixBlock.`ternaryOperations(TernaryOperator op, MatrixBlock m2, MatrixBlock m3)`
`MatrixBlock`
MatrixBlock.`ternaryOperations(TernaryOperator op, MatrixBlock m2, MatrixBlock m3, MatrixBlock ret)`